Subject: [PATCH v2] Re: add documentation for mailinfo.scissors and '--no-scissors'

From: Nicolas Sebrecht <[email-masked]>
Date: Fri, 11 Sep 2009 15:41:12 +0200

[ Thank you for this review. ]

The 11/09/09, Junio C Hamano wrote:
> Nicolas Sebrecht <[email-masked]> writes:
> 
> > diff --git a/git-am.sh b/git-am.sh
> > index 26ffe70..f242d1a 100755
> > --- a/git-am.sh
> > +++ b/git-am.sh
> > @@ -16,6 +16,7 @@ s,signoff       add a Signed-off-by line to the commit message
> >  u,utf8          recode into utf8 (default)
> >  k,keep          pass -k flag to git-mailinfo
> >  c,scissors      strip everything before a scissors line
> > +no-scissors     don't obey to a scissors line (default)
> >  whitespace=     pass it through git-apply
> >  ignore-space-change pass it through git-apply
> >  ignore-whitespace pass it through git-apply
> 
> Do we want it to allow --no-no-scissors?  I do not think this hunk is
> necessary at all.

I don't understand your point here. This hunk doesn't allow
--no-no-scissors but add --no-scissors to usage of 'git am', no?

Do I miss something around $OPTIONS_SPEC?

-- 
Nicolas Sebrecht